%global momorel   1
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: Subversion Interface for Emacsen
Name: elisp-psvn
Version: 0.15026
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source: http://www.xsteve.at/prg/emacs/psvn.el
Patch: psvn-env.patch
URL: http://www.xsteve.at/prg/emacs/
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root/

%description
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%package -n psvn-emacs
Group: Applications/Editors
Summary: Subversion Interface for Emacs
Requires: emacs >= %{emacsver}

%description -n psvn-emacs
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%package -n psvn-xemacs
Group: Applications/Editors
Summary: Subversion Interface for XEmacs
Requires: xemacs >= %{xemacsver}

%description -n psvn-xemacs
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%prep

%setup -q -c -T 0
cp -p %{SOURCE0} .
%patch -p0

%build
emacs -q -no-site-file -batch -f batch-byte-compile psvn.el
mv psvn.elc psvn.elc.emacs
xemacs -q -no-site-file -batch -f batch-byte-compile psvn.el
mv psvn.elc psvn.elc.xemacs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}
install -m 644 psvn.el %{buildroot}%{e_sitedir}
install -m 644 psvn.elc.emacs %{buildroot}%{e_sitedir}/psvn.elc
mkdir -p %{buildroot}%{xe_sitedir}
install -m 644 psvn.el %{buildroot}%{xe_sitedir}
install -m 644 psvn.elc.xemacs %{buildroot}%{xe_sitedir}/psvn.elc

%clean
rm -rf %{buildroot}

%files -n psvn-emacs
%defattr(-, root, root)
%{e_sitedir}/*

%files -n psvn-xemacs
%defattr(-, root, root)
%{xe_sitedir}/*

%changelog
* Tue Jul  5 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.15026-1m)
- initial import to Momonga
